Skip to main content
GET
/
deductions
/
{deduction}
Retrieve a deduction
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/deductions/{deduction} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "deduction",
  "data": {
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "frequency": "per_month",
    "date_basis": "by_period_start_date",
    "pay_period_cadence": [
      1
    ],
    "deduction_type": {
      "id": "<id>",
      "object": "deduction_type",
      "data": {
        "type": "income_tax",
        "label": "Income tax debt",
        "locale": "en"
      },
      "links": {
        "self": "/deduction_types/income_tax"
      }
    },
    "amount": 35,
    "amount_type": "fixed",
    "income_basis": "all_earnings",
    "income_includes": [],
    "income_subtractions": [],
    "income_statutory_withholdings": "none",
    "income_exemption_amount": null,
    "income_exemption_percent": null,
    "effective_from": "2026-01-01",
    "effective_to": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "remittance_account": null,
    "business_preset": null,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/deductions/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

deduction
string
required

Query Parameters

expand
enum<string>[]
Available options:
business_preset,
expense_accounting_code,
liability_accounting_code,
remittance_account,
tag_assignment,
work_assignment

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("deduction").

data
Default · object